Package org.drinkless.tdlib

# Class TdApi.GetChatFolderChatsToLeave

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Chats>
org.drinkless.tdlib.TdApi.GetChatFolderChatsToLeave

Enclosing class:
  `TdApi`

public static class TdApi.GetChatFolderChatsToLeave extends TdApi.Function<TdApi.Chats>
Returns identifiers of pinned or always included chats from a chat folder, which are suggested to be left when the chat folder is deleted.

Returns `Chats`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `chatFolderId`
  Chat folder identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetChatFolderChatsToLeave()`
  Default constructor for a function, which returns identifiers of pinned or always included chats from a chat folder, which are suggested to be left when the chat folder is deleted.
  `GetChatFolderChatsToLeave(int chatFolderId)`
  Creates a function, which returns identifiers of pinned or always included chats from a chat folder, which are suggested to be left when the chat folder is deleted.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatFolderId

    public int chatFolderId
    Chat folder identifier.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetChatFolderChatsToLeave

    public GetChatFolderChatsToLeave()
    Default constructor for a function, which returns identifiers of pinned or always included chats from a chat folder, which are suggested to be left when the chat folder is deleted.

    Returns `Chats`

  - ### GetChatFolderChatsToLeave

    public GetChatFolderChatsToLeave(int chatFolderId)
    Creates a function, which returns identifiers of pinned or always included chats from a chat folder, which are suggested to be left when the chat folder is deleted.

    Returns `Chats`

    Parameters:
      `chatFolderId` - Chat folder identifier.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Chats>`
    Returns:
      this.CONSTRUCTOR